#include <bits/stdc++.h>

using namespace std;

int main()
{
    string t;
    cin>>t;
    int q = t.size();
    char a[q];
    for(int i=0;i<q;i++)
    {
        a[q-i-1] = t[i];
    }
    string t1 = "";
    for(int i=0;i<q;i++) t1+=a[i];
    if(t==t1) cout<<1;


    return 0;
}